Package: partclone / 0.2.89-4

Metadata

Package Version Patches format
partclone 0.2.89-4 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
config stuff.patch | (download)

ABOUT-NLS | 2025 1103 + 922 - 0 !
config.rpath | 228 152 + 76 - 0 !
configure.ac | 5 4 + 1 - 0 !
m4/ChangeLog | 11 11 + 0 - 0 !
m4/gettext.m4 | 134 58 + 76 - 0 !
m4/iconv.m4 | 223 195 + 28 - 0 !
m4/lib-ld.m4 | 87 48 + 39 - 0 !
m4/lib-link.m4 | 311 222 + 89 - 0 !
m4/lib-prefix.m4 | 91 65 + 26 - 0 !
m4/nls.m4 | 13 7 + 6 - 0 !
m4/po.m4 | 58 41 + 17 - 0 !
m4/progtest.m4 | 31 15 + 16 - 0 !
po/ChangeLog | 5 5 + 0 - 0 !
po/Makefile.in.in | 82 66 + 16 - 0 !
po/Makevars | 12 12 + 0 - 0 !
po/Rules-quot | 4 2 + 2 - 0 !
src/Makefile.am | 2 1 + 1 - 0 !
17 files changed, 2007 insertions(+), 1315 deletions(-)

 migration to automake 1.13
 Automake 1.13 breaks many configurations which were based on obsoleted constructs
 This migrations was mostly based on the use of 'gettextize -f' after updating
 Gettext to the latest version. Other modifications have been driven by warnings
 issued by autoreconf (more precisely by automake, which is called by autoreconf)
 .
 This patch contains all the modifications which make the package buildable in
 a recent environment.

reiserfsclone.patch | (download)

src/reiserfsclone.c | 6 5 + 1 - 0 !
1 file changed, 5 insertions(+), 1 deletion(-)

---
remove some fs support.patch | (download)

configure.ac | 8 4 + 4 - 0 !
1 file changed, 4 insertions(+), 4 deletions(-)

---
no pie.patch | (download)

fail-mbr/compile-mbr.sh | 4 2 + 2 - 0 !
1 file changed, 2 insertions(+), 2 deletions(-)

 allows static linkage of fail-mbr
 Thanks to Matthias Klose for the patch
 .
 partclone (0.2.88-1ubuntu1) yakkety; urgency=medium
 .
   * Build statically linked fail-mbr.bin binary with -no-pie.
   * Configure with --disable-silent-rules.
malloc.patch | (download)

src/main.c | 18 14 + 4 - 0 !
src/partclone.c | 6 6 + 0 - 0 !
2 files changed, 20 insertions(+), 4 deletions(-)

 allocating memory more carefully
 partclone (0.2.89-3) unstable; urgency=medium
 .
   * backported some code from the last version. Closes: #857966 (CVE-2017-6596)